/* GLOBAL --------------------------------------------------------------- */
.hero-home{
    width: 100vw;
    min-height: 100dvh;
    opacity: 0;
    padding-top: 8rem;
    padding-bottom: 8rem;
    display: flex;
    flex-direction: column;
    gap: 8rem;
}
.hero-home h2{
    position: relative;
    display: flex;
    flex-direction: row;
    gap: 1rem;
    row-gap: 0;
    flex-wrap: wrap;
}
.hero-home h2 > div{
    overflow: hidden;
}
.hero-home h2 span{
    color: var(--red-base);
    position: relative;
    display: flex;
    flex-direction: row;
    gap: 1rem;
    row-gap: 0;
}
.hero-home .content-wrapper{
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}
/* ---------------------------------------------------------------------- */

/* MEDIAS --------------------------------------------------------------- */
.hero-home .medias{
    width: calc(100% / 3 - 1rem);
    height: auto;
    aspect-ratio: 1650 / 1200;
    position: relative;
}
.hero-home .media{
    width: 100%;
    height: 100%;
    overflow: hidden;
    pointer-events: all;
}
.hero-home .media.second{
    position: absolute;
    top: 0;
    left: 0;
}
.hero-home video, .hero-home img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
/* ---------------------------------------------------------------------- */

/* ARROWS --------------------------------------------------------------- */
.hero-home .arrows{
    width: fit-content;
    height: 16rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}
.hero-home .arrows .label{
    text-transform: uppercase;
    opacity: 0.5;
    cursor: pointer;
    pointer-events: none;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    align-items: center;
}
.hero-home .arrows .label.arrow-down{
    opacity: 1;
    pointer-events: all;
}
.hero-home .arrows .label::before{
    content: "";
    background-image: url("data:image/svg+xml,%3Csvg width='14' height='9' viewBox='0 0 14 9' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M12 7.0437L6.99993 2.00003L2 7.0437' stroke='%23FFFCF5' stroke-width='2' stroke-linecap='square'/%3E%3C/svg%3E%0A");
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: contain;
    width: 28px;
    height: 18px;
    transition: transform 300ms;
}
.hero-home .arrows .label.arrow-down::before{
    order: 2;
    transform: rotate(180deg);
}
.hero-home .arrows .label:hover::before{
    transform: translateY(0.5rem);
}
.hero-home .arrows .label.arrow-down:hover::before{
    transform: rotate(180deg) translateY(0.5rem);
}
/* ---------------------------------------------------------------------- */

/* TEXTS ---------------------------------------------------------------- */
.hero-home .text-contents{
    width: calc(100% / 12 * 5 - 1rem);
    position: relative;
}
.hero-home .text-content{
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 2rem;
    pointer-events: all;
}
.hero-home .text-content.second-text{
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
}
.hero-home .button{
    position: relative;
    padding: 1rem 2rem;
    border: 1px solid transparent;
    align-self: flex-end;
    overflow: hidden;
    cursor: pointer;
    text-decoration: none;
    pointer-events: all;
}
.hero-home .button .button-ribbon{
    background-color: var(--red-base);
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    transform: translateX(100%);
    z-index: -1;
}
.hero-home .button p{
    white-space: nowrap;
    text-transform: uppercase;
    letter-spacing: 0.05em;
}
/* ---------------------------------------------------------------------- */

/* MEDIA QUERIES -------------------------------------------------------- */
@media screen and (max-width: 1150px) {

    .hero-home{
        gap: 6rem;
    }
    .hero-home .content-wrapper{
        gap: 4rem;
    }

    .hero-home .medias{
        width: calc(100% / 12 * 5 - 2rem);
        order: 1;
    }

    .hero-home .arrows{
        width: 100%;
        height: fit-content;
        flex-direction: row;
        gap: 8rem;
        justify-content: center;
        order: 3;
    }
    .hero-home .arrows .label{
        flex-direction: row;
    }
    .hero-home .arrows .label::before{
        transform: rotateZ(-90deg);
    }
    .hero-home .arrows .label.arrow-down::before{
        order: 2;
        transform: rotate(90deg);
    }
    .hero-home .arrows .label:hover::before{
        transform: rotateZ(-90deg) translateY(0.5rem);
    }
    .hero-home .arrows .label.arrow-down:hover::before{
        transform: rotate(90deg) translateY(0.5rem);
    }

    .hero-home .text-contents{
        width: calc(50% - 2rem);
        order: 2;
    }
}

@media screen and (max-width: 900px) {

    .hero-home .arrows .label::before{
        height: 14px;
    }

    .hero-home .text-contents{
        width: calc(100% / 12 * 7 - 2rem);
    }
}

@media screen and (max-width: 768px) {

    .hero-home{
        padding-top: 6rem;
        padding-bottom: 6rem;
        gap: 4rem;
    }
    .hero-home .content-wrapper{
        flex-direction: column;
        justify-content: flex-start;
    }

    .hero-home .medias{
        width: 100%;
        max-width: 25rem;
        order: 1;
    }

    .hero-home .arrows{
        order: 2;
        gap: unset;
        justify-content: space-between;
        max-width: 25rem;
        width: 100%;
    }

    .hero-home .text-contents{
        width: 100%;
        order: 3;
    }
}
/* ---------------------------------------------------------------------- */